For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
      • POSTCreate a Browser Fingerprint List
      • POSTCreate a Country List
      • POSTCreate an Email Address List
      • POSTCreate a Geolocation List
      • POSTCreate a Government ID Number List
      • POSTCreate an IP Address List
      • POSTCreate a Name List
      • POSTCreate a Phone Number List
      • POSTCreate a Strings List
      • GETList all Lists
      • GETRetrieve a List
      • DELArchive a List
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceLists

Create an Email Address List

POST
https://api.withpersona.com/api/v1/list/email-addresses
POST
/api/v1/list/email-addresses
$curl -X POST https://api.withpersona.com/api/v1/list/email-addresses \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "attributes": {
> "name": "My New List"
> }
> }
>}'
1{
2 "data": {
3 "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX",
4 "attributes": {
5 "name": "My New List",
6 "status": "active",
7 "created-at": "2023-08-30T20:22:07.000Z",
8 "updated-at": "2023-08-30T20:22:07.000Z"
9 },
10 "relationships": {
11 "list-items": {
12 "data": []
13 }
14 },
15 "type": "list/email-address"
16 }
17}
Create a new list for your organization.
Was this page helpful?
Previous

Create a Geolocation List

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
dataobjectOptional

Response

This endpoint returns the created List object.
dataobject
A Email Address List object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.